GraphiQL open_in_new

# `Repository`

A repository contains the content for a project.

## GraphQL Schema definition `

- type Repository implements Node, ProjectOwner, Subscribable, UniformResourceLocatable, RepositoryInfo {
- # A list of commit comments associated with the repository.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- commitComments(first: Int, after: String, last: Int, before: String): CommitCommentConnection!
- # Identifies the date and time when the object was created.
- createdAt: DateTime!
- # Identifies the primary key from the database.
- databaseId: Int @deprecated( reason: "Exposed database IDs will eventually be removed in favor of global Relay IDs." )
- # The description of the repository.
- description: String
- # The description of the repository rendered to HTML.
- descriptionHTML: HTML!
- # The number of kilobytes this repository occupies on
- # disk.
- diskUsage: Int!
- # A list of child repositories.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # orderBy: Ordering options for repositories
- # returned from the connection
- forks(first: Int, after: String, last: Int, before: String, orderBy: RepositoryOrder): RepositoryConnection!
- # Indicates if the repository has issues feature enabled.
- hasIssuesEnabled: Boolean!
- # Indicates if the repository has wiki feature enabled.
- hasWikiEnabled: Boolean!
- # The repository's URL.
- homepageURL: String
- id: ID!
- # Identifies if the repository is a fork.
- isFork: Boolean!
- # Indicates if the repository has been locked or not.
- isLocked: Boolean!
- # Identifies if the repository is a mirror.
- isMirror: Boolean!
- # Identifies if the repository is private.
- isPrivate: Boolean!
- # Returns a single issue from the current repository
- # by number.
- #
- # Arguments
- # number: The number for the issue to
- # be returned.
- issue(number: Int!): Issue
- # Returns a single issue-like object from the current
- # repository by number.
- #
- # Arguments
- # number: The number for the issue to
- # be returned.
- issueish(number: Int!): Issueish
- # A list of issues that have been opened in the repository.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # states: A list of states to filter
- # the issues by.
- # labels: A list of label names to filter
- # the issues by.
- issues(first: Int, after: String, last: Int, before: String, states: [IssueState!], labels: [String!]): IssueConnection!
- # Returns a single label by name
- #
- # Arguments
- # name: Label name
- label(name: String!): Label
- # A list of labels associated with the repository.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- labels(first: Int, after: String, last: Int, before: String): LabelConnection
- # A list containing a breakdown of the language composition
- # of the repository.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # orderBy: Order for connection
- languages(first: Int, after: String, last: Int, before: String, orderBy: LanguageOrder): LanguageConnection
- # The license associated with the repository
- license: String
- # The reason the repository has been locked.
- lockReason: RepositoryLockReason
- # A list of Users that can be mentioned in the context
- # of the repository.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- mentionableUsers(first: Int, after: String, last: Int, before: String): UserConnection!
- # Returns a single milestone from the current repository
- # by number.
- #
- # Arguments
- # number: The number for the milestone
- # to be returned.
- milestone(number: Int!): Milestone
- # A list of milestones associated with the repository.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- milestones(first: Int, after: String, last: Int, before: String): MilestoneConnection
- # The repository's original mirror URL.
- mirrorURL: String
- # The name of the repository.
- name: String!
- # A Git object in the repository
- #
- # Arguments
- # oid: The Git object ID
- # expression: A Git revision expression
- # suitable for rev-parse
- object(oid: GitObjectID, expression: String): GitObject
- # The User owner of the repository.
- owner: RepositoryOwner!
- # The repository parent, if this is a fork.
- parent: Repository
- # The HTTP path for this repository
- path: URI!
- # The primary language of the repository's code.
- primaryLanguage: Language
- # Find project by number.
- #
- # Arguments
- # number: The project number to find.
- project(number: Int!): Project
- # A list of projects under the owner.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # orderBy: Ordering options for projects
- # returned from the connection
- # search: Query to search projects by,
- # currently only searching by name.
- projects(first: Int, after: String, last: Int, before: String, orderBy: ProjectOrder, search: String): ProjectConnection!
- # The HTTP path listing repository's projects
- projectsPath: URI!
- # The HTTP url listing repository's projects
- projectsUrl: URI!
- # A list of protected branches that are on this repository.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- protectedBranches(first: Int, after: String, last: Int, before: String): ProtectedBranchConnection!
- # Returns a single pull request from the current repository
- # by number.
- #
- # Arguments
- # number: The number for the pull request
- # to be returned.
- pullRequest(number: Int!): PullRequest
- # A list of pull requests that have been opened in the
- # repository.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # states: A list of states to filter
- # the pull requests by.
- # labels: A list of label names to filter
- # the pull requests by.
- # headRefName: The head ref name to
- # filter the pull requests by.
- # baseRefName: The base ref name to
- # filter the pull requests by.
- pullRequests(first: Int, after: String, last: Int, before: String, states: [PullRequestState!], labels: [String!], headRefName: String, baseRefName: String): PullRequestConnection!
- # Identifies when the repository was last pushed to.
- pushedAt: DateTime
- # Fetch a given ref from the repository
- #
- # Arguments
- # qualifiedName: The ref to retrieve.Fully
- # qualified matches are checked in order (`refs/heads/master`)
- # before falling back onto checks for short name matches
- # (`master`).
- ref(qualifiedName: String!): Ref
- # Fetch a list of refs from the repository
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # refPrefix: A ref name prefix like
- # `refs/heads/`, `refs/tags/`, etc.
- # direction: The ordering direction.
- refs(first: Int, after: String, last: Int, before: String, refPrefix: String!, direction: OrderDirection): RefConnection
- # List of releases which are dependent on this repository.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- releases(first: Int, after: String, last: Int, before: String): ReleaseConnection!
- # A list of users who have starred this repository.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # orderBy: Order for connection
- stargazers(first: Int, after: String, last: Int, before: String, orderBy: StarOrder): StargazerConnection!
- # Identifies the date and time when the object was last
- # updated.
- updatedAt: DateTime!
- # The HTTP url for this repository
- url: URI!
- # Can the current viewer create new projects on this
- # owner.
- viewerCanCreateProjects: Boolean!
- # Check if the viewer is able to change their subscription
- # status for the repository.
- viewerCanSubscribe: Boolean!
- # Returns a boolean indicating whether the viewing user
- # has starred this repository.
- viewerHasStarred: Boolean!
- # Identifies if the viewer is watching, not watching,
- # or ignoring the repository.
- viewerSubscription: SubscriptionState!
- # A list of users watching the repository.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- watchers(first: Int, after: String, last: Int, before: String): UserConnection!
- }

`